Last Comment Bug 768015 - Override Toolkit and increase image.mem.max_decoded_image_kb to 250MB
: Override Toolkit and increase image.mem.max_decoded_image_kb to 250MB
Status: VERIFIED FIXED
[good first bug][mentor=sgautherie][l...
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
-- normal (vote)
: seamonkey2.14
Assigned To: Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention)
:
:
Mentors:
Depends on: 746055
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 08:34 PDT by Philip Chee
Modified: 2012-08-19 03:41 PDT (History)
7 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed
verified


Attachments
patch v0 (1.27 KB, patch)
2012-08-05 14:31 PDT, Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention)
iann_bugzilla: review+
neil: superreview+
bugzillamozillaorg_serge_20140323: feedback+
iann_bugzilla: approval‑comm‑aurora+
Details | Diff | Splinter Review
patch v1 (unbitrotted for beta) (1.24 KB, patch)
2012-08-07 14:53 PDT, Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention)
bugspam.Callek: review+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Philip Chee 2012-06-25 08:34:11 PDT
From Firefox Bug 746055:

> Unfortunately we can't make max_bytes_for_sync_decode much smaller without 
> breaking all our tests, so it sounds like for now, the right solution is to 
> increase max_decoded_image_kb -- that value was set unscientifically, anyway.

From: https://hg.mozilla.org/mozilla-central/rev/ee415e3f509d

+// The maximum amount of decoded image data we'll willingly keep around (we
+// might keep around more than this, but we'll try to get down to this value).
+// (This is intentionally on the high side; see bug 746055.)
+pref("image.mem.max_decoded_image_kb", 256000);
Comment 1 User image Philip Chee 2012-06-25 11:23:14 PDT
Our prefs file is:
http://mxr.mozilla.org/comm-central/source/suite/browser/browser-prefs.js
Ask neil@parkway or IanN as to where in this file the "image.mem.max_decoded_image_kb" goes.
Comment 2 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-07-28 07:42:06 PDT
(In reply to Philip Chee from comment #1)
> Our prefs file is:
> http://mxr.mozilla.org/comm-central/source/suite/browser/browser-prefs.js
> Ask neil@parkway or IanN as to where in this file the
> "image.mem.max_decoded_image_kb" goes.

The current default is 51200. The prefs in that file are not in alphabetical order. None of them has (yet) a name beginning with "image.".

OK, Ian, Neil, for the benefit of whoever will someday tackle this bug, where do you think the new line should go?
Comment 3 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-05 14:13:43 PDT
[#seamonkey] <NeilAway> tonymec: slap it in after mailnews.ui.deleteMarksRead I guess

Patch coming soon.
Comment 4 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-05 14:31:36 PDT
Created attachment 649134 [details] [diff] [review]
patch v0
Comment 5 User image Karsten Düsterloh 2012-08-05 14:47:43 PDT
Comment on attachment 649134 [details] [diff] [review]
patch v0

Not my area of experience, sorry.
Comment 6 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-05 21:11:01 PDT
This patch has no l10n impact and is supposed to give better performance; but I don't know how to test the latter (bake on trunk and look at Talos? How not to mix this fix's results with results for the preceding or following commit?)

Shall it be ported to Aurora? to Beta? and when?
Comment 7 User image Philip Chee 2012-08-06 02:41:56 PDT
From Bug 746055 Comment 12:
> Effectively back out bug 732820 by setting max decoded image kb to 250MB; I'd rather be
> conservative here.  (See also bug 744309.)
This essentially fixes a performance regression so I would expect no downsize.

This landed in Firefox 14 So we would need to land this on SeaMonkey 2.11 soonish before the final beta. CC Callek, Opinion please?
Comment 8 User image Jens Hatlak (:InvisibleSmiley) 2012-08-06 02:52:52 PDT
(In reply to Philip Chee from comment #7)
> This landed in Firefox 14 So we would need to land this on SeaMonkey 2.11
> soonish before the final beta.

2.11 has been released already. ;-) ITYM 2.12.
Comment 9 User image Ryan VanderMeulen [:RyanVM] 2012-08-07 13:47:03 PDT
https://hg.mozilla.org/comm-central/rev/2bd3eb8ed976
Comment 10 User image Ian Neal 2012-08-07 14:09:54 PDT
Comment on attachment 649134 [details] [diff] [review]
patch v0

[Triage Comment]
Okay for comm-aurora, I'll let Callek decide on comm-beta
Comment 11 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-07 14:53:13 PDT
Created attachment 649822 [details] [diff] [review]
patch v1 (unbitrotted for beta)
Comment 12 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-07 14:56:14 PDT
NB. Patch v0 applies cleanly (ATM) on aurora but not on beta.
I'm not requesting a? until at least one trunk build is out with the fix.
Callek: feel free to set a-, it'll have been a good exercise about Mercurial queues anyway.
Comment 13 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-07 16:12:52 PDT
Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/17.0 Firefox/17.0 SeaMonkey/2.14a1 ID:20120807135517 c-c:0fed583977b2 m-c:e55638d4037a

The default for image.mem.max_decoded_image_kb is now 256000. Does that mean the fix is VERIFIED or is there something else which should be tested?
Comment 14 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-13 18:48:21 PDT
from #seamonkey:
> tonymec>	Callek: bug 746055 was fixed 2012-04-23 in mozilla14 which IIUC is now beta. (don't know if you saw it before being pinged out)
> Callek>	tonymec: so how long has it baked for us?
> Callek>	and is it the same pref value for us and Firefox?
> tonymec>	Callek: about one week, which wasn't all green, and it is indeed the same pref name & value.
> Callek>	tonymec: my opinion here is "land it on beta asap" Firefox has had much longer testing cycle, and we have had a few nights worth, we'll get larger testing/confidence if we can get our next beta out with it than if we were to wait an extra week.
Comment 15 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-13 18:52:48 PDT
Comment on attachment 649822 [details] [diff] [review]
patch v1 (unbitrotted for beta)

[Approval Request Comment]
Bug caused by (feature/regressing bug #): same as Firefox bug 746055
User impact if declined: performance hit on images
Testing completed (on m-c, etc.): m-c since April, c-c one week
Risk to taking this patch (and alternatives if risky): minimal (default change for one single pref)
String or UUID changes made by this patch: none
Comment 16 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-13 18:54:08 PDT
Comment on attachment 649822 [details] [diff] [review]
patch v1 (unbitrotted for beta)

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch:

see above, I had set wrong flag.
Comment 18 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-14 05:10:50 PDT
Ryan: That was fast! Thanks a lot. :-)
Comment 19 User image Serge Gautherie (:sgautherie) 2012-08-19 01:03:57 PDT
(In reply to Tony Mechelynck [:tonymec] from comment #13)
> The default for image.mem.max_decoded_image_kb is now 256000. Does that mean
> the fix is VERIFIED or is there something else which should be tested?

To verify this bug, just compare about:config before/after this patch.
Comment 20 User image Tony Mechelynck [:tonymec]. (NEEDINFO me if you want my attention) 2012-08-19 03:41:42 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #19)
> (In reply to Tony Mechelynck [:tonymec] from comment #13)
> > The default for image.mem.max_decoded_image_kb is now 256000. Does that mean
> > the fix is VERIFIED or is there something else which should be tested?
> 
> To verify this bug, just compare about:config before/after this patch.

OK, it's VERIFIED then. I checked about:config in trunk, anyone who wants to load a current Aurora or Beta build to check its about:config may do so, but there's no urgent need for it.

Note You need to log in before you can comment on or make changes to this bug.